searchNodes=[{"doc":"Interface for making requests to an Onvif compatible device. Currently supports WS Discovery probing, a subset of Device wsdl functions and a subset of Media wsdl functions.","ref":"Onvif.html","title":"Onvif","type":"module"},{"doc":"","ref":"Onvif.Device.html","title":"Onvif.Device","type":"module"},{"doc":"","ref":"Onvif.Device.html#changeset/2","title":"Onvif.Device.changeset/2","type":"function"},{"doc":"Returns a {:ok, Device.t()} tuple with device struct prepopulated with data required to make an Onvif API request. probe_match is a valid Probe.t() struct for an Onvif compliant device. username is an Onvif enabled username. Some manufacturers allow the admin credentials to serve this purpose, but generally you need to enable Onvif for a user in the device's web GUI or create dedicated credentials for Onvif. password is the password for the username above. prefer_https? will try requests via a probed https address if present. May run into SSL errors so http is generally preferred. prefer_ipv6? will try requests via a probed ipv6 address if present. init will attempt to make requests for the device's system datetime, an authenticated request for device information, and an authenticated request for services to determine what the device's system can provide. As this makes several HTTP/HTTPS requests, there are several points of failure which will return as {:error, reason} . If init fails a device can be initialized with new/3 , providing the address (in form http://ip:port ), the username and the password. Then override any other field with a struct update because the init helpers haven't filled in any service paths, scopes, or an auth best guess.","ref":"Onvif.Device.html#init/5","title":"Onvif.Device.init/5","type":"function"},{"doc":"Returns a Device.t() struct populated with the bare requirements for making a request to an Onvif enabled device. address is a http address with the form http://ip:port username is the onvif enabled username password is the password for the username As this is an override for the init() function, your mileage may vary here, and some manual struct updates may be required for the onvif requests to succeed. It is recommended to check calls on an authentication required endpoint and swap out auth_type for the one that works.","ref":"Onvif.Device.html#new/3","title":"Onvif.Device.new/3","type":"function"},{"doc":"Utility function to encode a Device.t() struct into a json string. It returns an {:error, Ecto.Changeset.t()} if the struct is not valid.","ref":"Onvif.Device.html#to_json/1","title":"Onvif.Device.to_json/1","type":"function"},{"doc":"Returns a {:ok, Device.t()} if the map can be properly parsed into a struct or {:error, Ecto.Changeset.t()} if not.","ref":"Onvif.Device.html#to_struct/1","title":"Onvif.Device.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Device.html#t:t/0","title":"Onvif.Device.t/0","type":"type"},{"doc":"Device's network interface","ref":"Onvif.Device.NetworkInterface.html","title":"Onvif.Device.NetworkInterface","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.html#changeset/2","title":"Onvif.Device.NetworkInterface.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Device.NetworkInterface.html#parse/1","title":"Onvif.Device.NetworkInterface.parse/1","type":"function"},{"doc":"","ref":"Onvif.Device.NetworkInterface.html#to_json/1","title":"Onvif.Device.NetworkInterface.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Device.NetworkInterface.html#to_struct/1","title":"Onvif.Device.NetworkInterface.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv4.html","title":"Onvif.Device.NetworkInterface.IPv4","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv4.Config.html","title":"Onvif.Device.NetworkInterface.IPv4.Config","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv4.Config.FromDHCP.html","title":"Onvif.Device.NetworkInterface.IPv4.Config.FromDHCP","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv4.Config.LinkLocal.html","title":"Onvif.Device.NetworkInterface.IPv4.Config.LinkLocal","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv4.Config.Manual.html","title":"Onvif.Device.NetworkInterface.IPv4.Config.Manual","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.html","title":"Onvif.Device.NetworkInterface.IPv6","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.Config.html","title":"Onvif.Device.NetworkInterface.IPv6.Config","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.Config.FromDHCP.html","title":"Onvif.Device.NetworkInterface.IPv6.Config.FromDHCP","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.Config.FromRA.html","title":"Onvif.Device.NetworkInterface.IPv6.Config.FromRA","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.Config.LinkLocal.html","title":"Onvif.Device.NetworkInterface.IPv6.Config.LinkLocal","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.IPv6.Config.Manual.html","title":"Onvif.Device.NetworkInterface.IPv6.Config.Manual","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.Info.html","title":"Onvif.Device.NetworkInterface.Info","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.Link.html","title":"Onvif.Device.NetworkInterface.Link","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.Link.AdminSettings.html","title":"Onvif.Device.NetworkInterface.Link.AdminSettings","type":"module"},{"doc":"","ref":"Onvif.Device.NetworkInterface.Link.OperSettings.html","title":"Onvif.Device.NetworkInterface.Link.OperSettings","type":"module"},{"doc":"A media profile","ref":"Onvif.Device.Service.html","title":"Onvif.Device.Service","type":"module"},{"doc":"","ref":"Onvif.Device.Service.html#changeset/2","title":"Onvif.Device.Service.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Device.Service.html#parse/1","title":"Onvif.Device.Service.parse/1","type":"function"},{"doc":"","ref":"Onvif.Device.Service.html#to_json/1","title":"Onvif.Device.Service.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Device.Service.html#to_struct/1","title":"Onvif.Device.Service.to_struct/1","type":"function"},{"doc":"Interface for making requests to the Onvif devices service https://www.onvif.org/ver10/device/wsdl/devicemgmt.wsdl","ref":"Onvif.Devices.html","title":"Onvif.Devices","type":"module"},{"doc":"","ref":"Onvif.Devices.html#request/2","title":"Onvif.Devices.request/2","type":"function"},{"doc":"","ref":"Onvif.Devices.DeviceInformation.html","title":"Onvif.Devices.DeviceInformation","type":"module"},{"doc":"","ref":"Onvif.Devices.GetDeviceInformation.html","title":"Onvif.Devices.GetDeviceInformation","type":"module"},{"doc":"","ref":"Onvif.Devices.GetDeviceInformation.html#request/1","title":"Onvif.Devices.GetDeviceInformation.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetDeviceInformation.html#request_body/0","title":"Onvif.Devices.GetDeviceInformation.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetDeviceInformation.html#response/1","title":"Onvif.Devices.GetDeviceInformation.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetDeviceInformation.html#soap_action/0","title":"Onvif.Devices.GetDeviceInformation.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetHostname.html","title":"Onvif.Devices.GetHostname","type":"module"},{"doc":"","ref":"Onvif.Devices.GetHostname.html#request/1","title":"Onvif.Devices.GetHostname.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetHostname.html#request_body/0","title":"Onvif.Devices.GetHostname.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetHostname.html#response/1","title":"Onvif.Devices.GetHostname.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetHostname.html#soap_action/0","title":"Onvif.Devices.GetHostname.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetNetworkInterfaces.html","title":"Onvif.Devices.GetNetworkInterfaces","type":"module"},{"doc":"","ref":"Onvif.Devices.GetNetworkInterfaces.html#request/1","title":"Onvif.Devices.GetNetworkInterfaces.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetNetworkInterfaces.html#request_body/0","title":"Onvif.Devices.GetNetworkInterfaces.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetNetworkInterfaces.html#response/1","title":"Onvif.Devices.GetNetworkInterfaces.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetNetworkInterfaces.html#soap_action/0","title":"Onvif.Devices.GetNetworkInterfaces.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetScopes.html","title":"Onvif.Devices.GetScopes","type":"module"},{"doc":"","ref":"Onvif.Devices.GetScopes.html#request/1","title":"Onvif.Devices.GetScopes.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetScopes.html#request_body/0","title":"Onvif.Devices.GetScopes.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetScopes.html#response/1","title":"Onvif.Devices.GetScopes.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetScopes.html#soap_action/0","title":"Onvif.Devices.GetScopes.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServiceCapabilities.html","title":"Onvif.Devices.GetServiceCapabilities","type":"module"},{"doc":"","ref":"Onvif.Devices.GetServiceCapabilities.html#request/1","title":"Onvif.Devices.GetServiceCapabilities.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServiceCapabilities.html#request_body/0","title":"Onvif.Devices.GetServiceCapabilities.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServiceCapabilities.html#response/1","title":"Onvif.Devices.GetServiceCapabilities.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServiceCapabilities.html#soap_action/0","title":"Onvif.Devices.GetServiceCapabilities.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServices.html","title":"Onvif.Devices.GetServices","type":"module"},{"doc":"","ref":"Onvif.Devices.GetServices.html#request/1","title":"Onvif.Devices.GetServices.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServices.html#request_body/0","title":"Onvif.Devices.GetServices.request_body/0","type":"function"},{"doc":"Parses the device response into a {:ok, services} tuple where services is a list, discarding the invalid transformations from map into a Onvif.Device.Service.t().","ref":"Onvif.Devices.GetServices.html#response/1","title":"Onvif.Devices.GetServices.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetServices.html#soap_action/0","title":"Onvif.Devices.GetServices.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetSystemDateAndTime.html","title":"Onvif.Devices.GetSystemDateAndTime","type":"module"},{"doc":"","ref":"Onvif.Devices.GetSystemDateAndTime.html#request/1","title":"Onvif.Devices.GetSystemDateAndTime.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetSystemDateAndTime.html#request_body/0","title":"Onvif.Devices.GetSystemDateAndTime.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.GetSystemDateAndTime.html#response/1","title":"Onvif.Devices.GetSystemDateAndTime.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.GetSystemDateAndTime.html#soap_action/0","title":"Onvif.Devices.GetSystemDateAndTime.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Devices.SystemDateAndTime.html","title":"Onvif.Devices.SystemDateAndTime","type":"module"},{"doc":"","ref":"Onvif.Devices.SystemReboot.html","title":"Onvif.Devices.SystemReboot","type":"module"},{"doc":"","ref":"Onvif.Devices.SystemReboot.html#request/1","title":"Onvif.Devices.SystemReboot.request/1","type":"function"},{"doc":"","ref":"Onvif.Devices.SystemReboot.html#request_body/0","title":"Onvif.Devices.SystemReboot.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Devices.SystemReboot.html#response/1","title":"Onvif.Devices.SystemReboot.response/1","type":"function"},{"doc":"","ref":"Onvif.Devices.SystemReboot.html#soap_action/0","title":"Onvif.Devices.SystemReboot.soap_action/0","type":"function"},{"doc":"Module for discovering devices on a local network via WS Discovery protocol","ref":"Onvif.Discovery.html","title":"Onvif.Discovery","type":"module"},{"doc":"Returns a list of Probe.t() that have responded via a UDP multicast call on the local network. Devices on subnets / attached routers won't respond. Duplicate probes may be returned and it is up to the calling application to choose how to filter out a duplicate. opts are a keyword list of options, :probe_timeout denotes how long the probe will wait between new probe responses before closing out the listener. There currently is no forced duration so if the network continuously generates probe messages this has the possibility to hang. :multicast_loop defaults to false. Enabling it will allow host to echoing the multicast packets back to itself. This is useful when this library runs in same device where you simulate a ONVIF device ( https://www.happytimesoft.com/products/onvif-server/index.html )","ref":"Onvif.Discovery.html#probe/1","title":"Onvif.Discovery.probe/1","type":"function"},{"doc":"Returns a single Probe.t() or an error based on filter criteria provided. Duplicate matches to the criteria will only return the first probe that responded to the UDP multicast message. As this uses probe/0 under the hood it is subject to the same limitations and the default probe timeout. filter can be a keyword list containing one of: serial - device serial number, not guaranteed to be present ip_address - device ip that responded to the onvif multicast mac_address - device mac address, not guaranteed to be present. Accepts colon separated, dash separated, and only digits name - device name, usually the model number or something manufacturer determined filter can also be: an onvif scope - &quot;onvif://www.onvif.org/scope_name/scope_value&quot; , not guaranteed to be present a list of onvif scopes - matches the first one to succeed linking to a probe","ref":"Onvif.Discovery.html#probe_by/1","title":"Onvif.Discovery.probe_by/1","type":"function"},{"doc":"","ref":"Onvif.Discovery.Probe.html","title":"Onvif.Discovery.Probe","type":"module"},{"doc":"","ref":"Onvif.Discovery.Probe.html#t:t/0","title":"Onvif.Discovery.Probe.t/0","type":"type"},{"doc":"","ref":"Onvif.MacAddress.html","title":"Onvif.MacAddress","type":"module"},{"doc":"","ref":"Onvif.MacAddress.html#mac_just_digits/1","title":"Onvif.MacAddress.mac_just_digits/1","type":"function"},{"doc":"","ref":"Onvif.MacAddress.html#mac_with_colons/1","title":"Onvif.MacAddress.mac_with_colons/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.html","title":"Onvif.Media.Ver10.GetAudioEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver10.GetAudioEncoderConfiguration.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfile.html","title":"Onvif.Media.Ver10.GetProfile","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfile.html#request/2","title":"Onvif.Media.Ver10.GetProfile.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfile.html#request_body/1","title":"Onvif.Media.Ver10.GetProfile.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfile.html#response/1","title":"Onvif.Media.Ver10.GetProfile.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfile.html#soap_action/0","title":"Onvif.Media.Ver10.GetProfile.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfiles.html","title":"Onvif.Media.Ver10.GetProfiles","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfiles.html#request/1","title":"Onvif.Media.Ver10.GetProfiles.request/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfiles.html#request_body/0","title":"Onvif.Media.Ver10.GetProfiles.request_body/0","type":"function"},{"doc":"Parses the device response into a {:ok, profiles} tuple where profiles is a list, discarding the invalid transformations from map into a Onvif.Media.Ver10.Profile.t().","ref":"Onvif.Media.Ver10.GetProfiles.html#response/1","title":"Onvif.Media.Ver10.GetProfiles.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetProfiles.html#soap_action/0","title":"Onvif.Media.Ver10.GetProfiles.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetSnapshotUri.html","title":"Onvif.Media.Ver10.GetSnapshotUri","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetSnapshotUri.html#request/2","title":"Onvif.Media.Ver10.GetSnapshotUri.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetSnapshotUri.html#request_body/1","title":"Onvif.Media.Ver10.GetSnapshotUri.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetSnapshotUri.html#response/1","title":"Onvif.Media.Ver10.GetSnapshotUri.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetSnapshotUri.html#soap_action/0","title":"Onvif.Media.Ver10.GetSnapshotUri.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetStreamUri.html","title":"Onvif.Media.Ver10.GetStreamUri","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetStreamUri.html#request/2","title":"Onvif.Media.Ver10.GetStreamUri.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetStreamUri.html#request_body/3","title":"Onvif.Media.Ver10.GetStreamUri.request_body/3","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetStreamUri.html#response/1","title":"Onvif.Media.Ver10.GetStreamUri.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetStreamUri.html#soap_action/0","title":"Onvif.Media.Ver10.GetStreamUri.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.html","title":"Onvif.Media.Ver10.GetVideoEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver10.GetVideoEncoderConfiguration.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#request/2","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#request_body/0","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#request_body/1","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#request_body/2","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.request_body/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#response/1","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.html#soap_action/0","title":"Onvif.Media.Ver10.GetVideoEncoderConfigurationOptions.soap_action/0","type":"function"},{"doc":"Interface for making requests to the 1.0 version of Onvif Media Service https://www.onvif.org/ver10/media/wsdl/media.wsdl","ref":"Onvif.Media.Ver10.Media.html","title":"Onvif.Media.Ver10.Media","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Media.html#request/3","title":"Onvif.Media.Ver10.Media.request/3","type":"function"},{"doc":"A media profile","ref":"Onvif.Media.Ver10.Profile.html","title":"Onvif.Media.Ver10.Profile","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.html#changeset/2","title":"Onvif.Media.Ver10.Profile.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.html#parse/1","title":"Onvif.Media.Ver10.Profile.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.html#to_json/1","title":"Onvif.Media.Ver10.Profile.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.to_struct/1","type":"function"},{"doc":"Indication which AnalyticsModules shall output metadata. Note that the streaming behavior is undefined if the list includes items that are not part of the associated AnalyticsConfiguration.","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.html","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.AnalyticsModule.html","title":"Onvif.Media.Ver10.Profile.AnalyticsEngineConfiguration.AnalyticsModule","type":"module"},{"doc":"Optional configuration of the Audio encoder.","ref":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.html","title":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.AudioEncoderConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.html","title":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.AudioSourceConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Extension.html","title":"Onvif.Media.Ver10.Profile.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Extension.AudioDecoderConfiguration.html","title":"Onvif.Media.Ver10.Profile.Extension.AudioDecoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Extension.AudioOutputConfiguration.html","title":"Onvif.Media.Ver10.Profile.Extension.AudioOutputConfiguration","type":"module"},{"doc":"Optional configuration of the metadata stream.","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.html","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MetadataConfiguration.PtzStatus.html","title":"Onvif.Media.Ver10.Profile.MetadataConfiguration.PtzStatus","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.html","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.MulticastConfiguration.IpAddress.html","title":"Onvif.Media.Ver10.Profile.MulticastConfiguration.IpAddress","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Parameters.html","title":"Onvif.Media.Ver10.Profile.Parameters","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Parameters.html#changeset/2","title":"Onvif.Media.Ver10.Profile.Parameters.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Parameters.html#parse/1","title":"Onvif.Media.Ver10.Profile.Parameters.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Parameters.ElementItem.html","title":"Onvif.Media.Ver10.Profile.Parameters.ElementItem","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.Parameters.SimpleItem.html","title":"Onvif.Media.Ver10.Profile.Parameters.SimpleItem","type":"module"},{"doc":"Optional configuration of the pan tilt zoom unit.","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.DefaultPtzSpeed.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.DefaultPtzSpeed","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection.EFlip.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection.EFlip","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection.Reverse.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.Extension.PtControlDirection.Reverse","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range.XRange.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range.XRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range.YRange.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.PanTiltLimits.Range.YRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits.Range.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits.Range","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits.Range.XRange.html","title":"Onvif.Media.Ver10.Profile.PtzConfiguration.ZoomLimits.Range.XRange","type":"module"},{"doc":"This element contains a list of Analytics configurations.","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.html","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.RuleEngineConfiguration.html","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.RuleEngineConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.RuleEngineConfiguration.Rule.html","title":"Onvif.Media.Ver10.Profile.VideoAnalyticsConfiguration.RuleEngineConfiguration.Rule","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.html#to_json/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.H264Configuration.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.H264Configuration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.Mpeg4Configuration.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.Mpeg4Configuration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.RateControl.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.RateControl","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.Resolution.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfiguration.Resolution","type":"module"},{"doc":"Optional configuration of the Video encoder.","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.html#changeset/2","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.html#parse/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.html#to_json/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.html#to_struct/1","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.BitrateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.BitrateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.GovLengthRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.GovLengthRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.ResolutionsAvailable1.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.H264Options.ResolutionsAvailable1","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.BitrateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.BitrateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.ResolutionsAvailable.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.JpegOptions.ResolutionsAvailable","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.BitrateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.BitrateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.GovLengthRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.GovLengthRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.ResolutionsAvailable.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Extension.Mpeg4Options.ResolutionsAvailable","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.GovLengthRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.GovLengthRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.ResolutionsAvailable.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.H264Options.ResolutionsAvailable","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.ResolutionsAvailable.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.JpegOptions.ResolutionsAvailable","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.EncodingIntervalRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.EncodingIntervalRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.FrameRateRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.FrameRateRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.GovLengthRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.GovLengthRange","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.ResolutionsAvailable.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.Mpeg4Options.ResolutionsAvailable","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.QualityRange.html","title":"Onvif.Media.Ver10.Profile.VideoEncoderConfigurationOption.QualityRange","type":"module"},{"doc":"Optional configuration of the Video input.","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.html#changeset/2","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.html#parse/1","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Bounds.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Bounds","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription.LensOffset.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription.LensOffset","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription.Projection.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.LensDescription.Projection","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.SceneOrientation.html","title":"Onvif.Media.Ver10.Profile.VideoSourceConfiguration.Extension.Rotate.Extension.SceneOrientation","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.html","title":"Onvif.Media.Ver10.SetAudioEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver10.SetAudioEncoderConfiguration.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.html","title":"Onvif.Media.Ver10.SetVideoEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver10.SetVideoEncoderConfiguration.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#request/2","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#request_body/0","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#request_body/1","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#request_body/2","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.request_body/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#response/1","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.html#soap_action/0","title":"Onvif.Media.Ver20.GetAudioEncoderConfigurations.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetProfiles.html","title":"Onvif.Media.Ver20.GetProfiles","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.GetProfiles.html#request/2","title":"Onvif.Media.Ver20.GetProfiles.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetProfiles.html#request_body/0","title":"Onvif.Media.Ver20.GetProfiles.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetProfiles.html#request_body/1","title":"Onvif.Media.Ver20.GetProfiles.request_body/1","type":"function"},{"doc":"Parses the device response into a {:ok, profiles} tuple where profiles is a list, discarding the invalid transformations from map into a Onvif.Media.Ver20.Profile.t().","ref":"Onvif.Media.Ver20.GetProfiles.html#response/1","title":"Onvif.Media.Ver20.GetProfiles.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetProfiles.html#soap_action/0","title":"Onvif.Media.Ver20.GetProfiles.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetStreamUri.html","title":"Onvif.Media.Ver20.GetStreamUri","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.GetStreamUri.html#request/2","title":"Onvif.Media.Ver20.GetStreamUri.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetStreamUri.html#request_body/2","title":"Onvif.Media.Ver20.GetStreamUri.request_body/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetStreamUri.html#response/1","title":"Onvif.Media.Ver20.GetStreamUri.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetStreamUri.html#soap_action/0","title":"Onvif.Media.Ver20.GetStreamUri.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#request/2","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#request_body/0","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.request_body/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#request_body/1","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#request_body/2","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.request_body/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#response/1","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.html#soap_action/0","title":"Onvif.Media.Ver20.GetVideoEncoderConfigurations.soap_action/0","type":"function"},{"doc":"Interface for making requests to the 2.0 version of Onvif Media Service https://www.onvif.org/ver20/media/wsdl/media.wsdl","ref":"Onvif.Media.Ver20.Media.html","title":"Onvif.Media.Ver20.Media","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Media.html#request/3","title":"Onvif.Media.Ver20.Media.request/3","type":"function"},{"doc":"A media profile","ref":"Onvif.Media.Ver20.Profile.html","title":"Onvif.Media.Ver20.Profile","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.html#changeset/2","title":"Onvif.Media.Ver20.Profile.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.html#parse/1","title":"Onvif.Media.Ver20.Profile.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.html#to_json/1","title":"Onvif.Media.Ver20.Profile.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.html#to_struct/1","title":"Onvif.Media.Ver20.Profile.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.Extension.html","title":"Onvif.Media.Ver20.Profile.Extension","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.Extension.AudioDecoderConfiguration.html","title":"Onvif.Media.Ver20.Profile.Extension.AudioDecoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.Extension.AudioOutputConfiguration.html","title":"Onvif.Media.Ver20.Profile.Extension.AudioOutputConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.html","title":"Onvif.Media.Ver20.Profile.VideoEncoder","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.html#changeset/2","title":"Onvif.Media.Ver20.Profile.VideoEncoder.changeset/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.html#parse/1","title":"Onvif.Media.Ver20.Profile.VideoEncoder.parse/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.html#to_json/1","title":"Onvif.Media.Ver20.Profile.VideoEncoder.to_json/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.html#to_struct/1","title":"Onvif.Media.Ver20.Profile.VideoEncoder.to_struct/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.RateControl.html","title":"Onvif.Media.Ver20.Profile.VideoEncoder.RateControl","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.Profile.VideoEncoder.Resolution.html","title":"Onvif.Media.Ver20.Profile.VideoEncoder.Resolution","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.html","title":"Onvif.Media.Ver20.SetAudioEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver20.SetAudioEncoderConfiguration.soap_action/0","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.html","title":"Onvif.Media.Ver20.SetVideoEncoderConfiguration","type":"module"},{"doc":"","ref":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.html#request/2","title":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.request/2","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.html#request_body/1","title":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.request_body/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.html#response/1","title":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.response/1","type":"function"},{"doc":"","ref":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.html#soap_action/0","title":"Onvif.Media.Ver20.SetVideoEncoderConfiguration.soap_action/0","type":"function"},{"doc":"This is a direct fork of the Tesla.Middleware.DigestAuth , which, does not build the digest-response in the order that the UniView LAPI accepts/understands.","ref":"Onvif.Middleware.DigestAuth.html","title":"Onvif.Middleware.DigestAuth","type":"module"},{"doc":"","ref":"Onvif.Middleware.NoAuth.html","title":"Onvif.Middleware.NoAuth","type":"module"},{"doc":"","ref":"Onvif.Middleware.PlainAuth.html","title":"Onvif.Middleware.PlainAuth","type":"module"},{"doc":"","ref":"Onvif.Middleware.XmlAuth.html","title":"Onvif.Middleware.XmlAuth","type":"module"},{"doc":"","ref":"Onvif.Request.html","title":"Onvif.Request","type":"module"},{"doc":"Elixir interface for Onvif functions","ref":"readme.html","title":"Onvif","type":"extras"},{"doc":"The package can be installed by adding onvif to your list of dependencies in mix.exs : def deps do [ { :onvif , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"Onvif - Installation","type":"extras"},{"doc":"This library provides an interface for an Elixir application to make requests to Onvif compliant devices. A request requires a Device struct which contains data necessary to successfully make the request, including an address, username, password, a best guess at which authentication method will work, and paths for several Onvif services, include Media and Device services. An Onvif compliant device should implement functions outlined in Onvif documentation, depending on which profiles with which the device claims to be compliant. That said, a disclaimer that nothing is guaranteed and devices may not respond to requests for services that should be implemented. To start, make a probe request: &gt; Onvif.Discovery . probe ( ) [ % Onvif.Discovery.Probe { address : ... } ] This will return a list of devices on the network that respond to Web Services Dynamic Discovery. The request should filter any non-video device but it is possibly that printers, etc. will show up and will need to be filtered by application logic. If you already have information about the device, you can use: &gt; Onvif.Discovery . probe_by ( ip_address : &quot;127.0.0.1&quot; ) % Onvif.Discovery.Probe { address : [ ... ] , device_ip : &quot;127.0.0.1&quot; , ... } More details in the Onvif.Discovery.probe_by/1 docs. Once you have a valid Probe struct, you can initialize a device. &gt; Onvif.Device . init ( probe , username , password ) % Onvif.Device { ... }","ref":"readme.html#how-to-use","title":"Onvif - How to use","type":"extras"}]